<?xml version="1.0" encoding="utf-8"?>
<Kingview CompactMode="1">
  <ProjectTemplates>
    <!--
      Project Template
      -->
    <ProjectTemplate Name="Standard">
    <!--Standard Version Project Object-->
      <Language Name="简体中文" LCID="2052"/>
      <ExplorerNodeTree>
        <!--View-->
	  		<ExplorerNode Text="视图" Type="assddd" Title="视图系统" Addin="" Icon="images/view.ico" ListSubNodes="True">
	  			<SubNodes>
	  				<ExplorerNode Text="画面" Type="Pictures" Title="画面" Addin="PictureDevAddin" Icon="images/picture.ico" 
>					</ExplorerNode>
	  				<ExplorerNode Text="图形模型" Type="GraphyModels" Title="图形模型" Addin="GraphyModelAddin" Icon="images/graphyModel.ico" ListSubNodes="True">
					</ExplorerNode>	
				</SubNodes>
			</ExplorerNode>
      <!-- IOServer-->
 			 <ExplorerNode Text="IO SERVER" Type="IO SERVER" Title="IO SERVER 设置" Addin="kxIOServerCfgManagerDev" Icon="images/IOSERVER.ico"> 
			 </ExplorerNode>
				<!--Database-->
			<ExplorerNode Text="数据库" Type="database" Title="数据库管理" Addin="kxTagDev" Icon="images/TagDB.ico"> 
				<Commands/>
				<SubNodes>
					<ExplorerNode Text="数据词典" Type="tagdict" Title="数据词典管理" Addin="kxTagDev" Icon="images/tagdict.ico">
						<Commands>
							<Command Text="新建变量组" Name="NewTagGrp" Tooltip="创建一个新的变量组" Icon="images/NewTagGrp.ico"/>
							<Command Text="新建变量" Name="NewTag" Tooltip="创建一个新的变量" Icon="images/NewTag.ico"/>
						</Commands>
					</ExplorerNode>		 
					<ExplorerNode Text="结构模板" Type="tagstruct" Title="结构模板管理" Addin="kxTagDev" Icon="images/struct_template.ico"> 
						<Commands>
							<Command Text="新建结构模板" Name="NewTemp" Tooltip="创建一个新的结构模板" Icon="images/newtemplate.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="报警组" Type="almgrp_root" Title="报警组管理" Addin="kxTagDev" Icon="images/AlarmGoup.ico">
						<Commands>
							<Command Text="新建报警组" Name="NewAlmGrp" Tooltip="创建一个新的报警组" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="非线性表" Type="NlnTab_root" Title="非线性表管理" Addin="kxTagDev" Icon="images/NolineTable.ico"> 
						<Commands>
							<Command Text="新建非线性表" Name="NewNlnTab" Tooltip="创建一个新的非线性表" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="数据模型对象" Type="dmInst" Title="数据模型对象管理" Addin="kxDataModelDev" Icon="images/DataModelInst.ico"> 
						<Commands>
							<Command Text="编译" Name="CompileDmInsts" Tooltip="编译所有数据模型对象" Icon="images/Compile.ico"/>
							<Command Text="新建数据模型对象" Name="NewDMInst" Tooltip="创建一个新的数据模型对象" Icon="images/DataModelInst.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="数据模型" Type="dmTemp" Title="数据模型管理" Addin="kxDataModelDev" Icon="images/DataModel.ico"> 
						<Commands>
							<Command Text="编译" Name="CompileDmDefs" Tooltip="编译所有数据模型" Icon="images/Compile.ico"/>
							<Command Text="新建数据模型" Name="NewDM" Tooltip="创建一个新的数据模型" Icon="images/DataModel.ico"/>
							<Command Text="从系统模型库导入一个新的数据模型" Name="NewDMBySys" Tooltip="从系统模型库导入一个新的数据模型" Icon="images/DataModel.ico"/>
						</Commands>
					</ExplorerNode>
				</SubNodes>
			</ExplorerNode>
      	<!--Script-->
      	<ExplorerNode Text="脚本" Type="ApplicationLogicScripts" Title="脚本系统" Addin="LogicDevAddin" Icon="images/script.ico" ListSubNodes="True">
					<Commands>
					<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
					</Commands>
		    	<SubNodes>
						<ExplorerNode Text="系统脚本" Type="SystemLogicScripts" Title="系统脚本语言" Addin="LogicDevAddin" Icon="images/systemscript.ico">
							<Commands>
							<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes>
								<ExplorerNode Text="应用程序脚本" Type="ApplicationLogicScript" Title="应用程序脚本" Addin="LogicDevAddin" Icon="images/applicationscript.ico"> 
									<Commands>
									<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="报警脚本" Type="AlarmLogicScript" Title="报警事件脚本语言" Addin="LogicDevAddin" Icon="images/alarmscript.ico"> 
									<Commands>
									<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="用户脚本" Type="UserLogicScript" Title="用户事件脚本语言" Addin="LogicDevAddin" Icon="images/userscript.ico"> 
									<Commands>
									<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
				    	</SubNodes>
			    	</ExplorerNode>	
						<ExplorerNode Text="自定义脚本" Type="CustomLogicScripts" Title="自定义的脚本语言" Addin="LogicDevAddin" Icon="images/customscript.ico"> 
							<Commands>
							<Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes> 
				      	<ExplorerNode Text="数据改变脚本" Type="DataChangeLogicScript" Title="数据改变触发的脚本语言" Addin="LogicDevAddin" Icon="images/DataChan.ico ">
				        	<Commands>
				          <Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
				          <Command Text="新建" Name="Node.AddLogicScript" Tooltip="增加数据改变脚本" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 
				        <ExplorerNode Text="条件事件脚本" Type="ExpressLogicScript" Title="自定义条件触发的脚本语言" Addin="LogicDevAddin" Icon="images/event.ico"> 
				        	<Commands>
				          <Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
				          <Command Text="新建" Name="Node.AddLogicScript" Tooltip="增加条件表达式脚本" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				       	</ExplorerNode>
				        <ExplorerNode Text="热键脚本" Type="HotKeyLogicScript" Title="热键触发的脚本语言" Addin="LogicDevAddin" Icon="images/HotKey.ico">
				        	<Commands>
				          <Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
				          <Command Text="新建" Name="Node.AddLogicScript" Tooltip="增加热键脚本" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode>      
				        <ExplorerNode Text="自定义函数脚本" Type="CustomFunctionLogicScript" Title="自定义函数脚本" Addin="LogicDevAddin" Icon="images/customFun.ico">
				        	<Commands>
				          <Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
				          <Command Text="新建" Name="Node.AddLogicScript" Tooltip="增加自定义函数脚本" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 			
					    <ExplorerNode Text="定时器脚本" Type="TimerLogicScript" Title="定时触发脚本" Addin="LogicDevAddin" Icon="images/timerScript.ico">
				        	<Commands>
				          <Command Text="编译" Name="Node.CompileLogicScript" Tooltip="编译脚本语言" Icon="images/compile.ico"/>
				          <Command Text="新建" Name="Node.AddLogicScript" Tooltip="增加定时器脚本" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 					
							</SubNodes>
						</ExplorerNode>	
					</SubNodes>		
	     	</ExplorerNode>

       	<!--Setting-->
	     	<ExplorerNode Text="系统设置" Type="SysCfgNode" Title="系统项设置" Addin="" Icon="images/Setting.ico">
	     		<SubNodes> 
		      	<ExplorerNode Text="安全设置" Type="Security" Title="安全项设置" Addin="kxUserDev" Icon="images/security.ico">
		      	</ExplorerNode> 
						<ExplorerNode Text="报警/事件设置" Type="AlmCfgNode" Title="报警/事件项设置" Addin="kxSysCfgDev" Icon="images/AlarmSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="历史记录设置" Type="HistoryCfgNode" Title="历史记录项设置" Addin="kxSysCfgDev" Icon="images/HisRecSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="运行设置" Type="RunCfgNode" Title="运行系统配置" Addin="kxSysCfgDev" Icon="images/ViewSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>   
					</SubNodes> 
				</ExplorerNode> 
				
				<!--NetWork-->
	     	<ExplorerNode Text="网络设置" Type="NetSettings" Title="设置工程的网络设置" Addin="" Icon="images/NetWorkSettings.ico">
	     		<SubNodes> 
	     		  <ExplorerNode Text="本机设置" Type="NetCfgNode" Title="本机网络设置" Addin="kxSysCfgDev" Icon="images/localNetSetting.ico" ListSubNodes="FALSE">
	        	</ExplorerNode>		
	        	<!--Station-->   
       			<ExplorerNode Text="站点管理" Type="StationNode" Title ="分布式网络站点管理" Addin="kxSysCfgDev" Icon="images/station.ico">
       			</ExplorerNode> 
  				</SubNodes> 
	     	</ExplorerNode>				
	     	
	     	<!--Recipe-->	
			 	<ExplorerNode Text="配方" Type="RecipeType" Title="配方管理" Addin="RecipeDevAddin" Icon="images/Recipe.ico">
	     	</ExplorerNode>
				<!--Resource-->
				<ExplorerNode Text="资源管理" Type="ProjectResource" Title="资源项管理" Addin="ResourceDev" Icon="images/resource.ico">
					<SubNodes>
					  <ExplorerNode Text="字符串" Type="StringResource" Title="字符串资源" Addin="ResourceDev" Icon="images/stringResource.ico"> 
  					</ExplorerNode> 
						<ExplorerNode Text="图像" Type="ImageResource" Title="图像资源" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode>				 
		      	<ExplorerNode Text="文件" Type="FileResource" Title="文件资源" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="视频" Type="VideoFile" Title="视频文件" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="音频" Type="AudioFile" Title="音频文件" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="文档" Type="DocumentFile" Title="文档文件" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="其它" Type="OtherFile" Title="其它文件" Addin="ResourceDev" Icon="images/other.ico">
											</ExplorerNode>   														
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				
				<!--Languge-->
				<ExplorerNode Text="语言管理" Type="ProjectLanguage" Title="工程语言管理" Addin="ResourceDev" Icon="images/LangugeManage.ico">
					<SubNodes>
						<ExplorerNode Text="语言设置" Type="LanguageResource" Title="设置工程语言" Addin="ResourceDev" Icon="images/language.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="字符串" Type="StringTranslateResource" Title="字符串资源翻译表" Addin="ResourceDev" Icon="images/stringResource.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="图像" Type="ImageTranslateResource" Title="图像资源翻译表" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="文件" Type="FileTranslateResource" Title="文件资源翻译表" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="视频" Type="VideoTranslateFile" Title="视频文件资源翻译表" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="音频" Type="AudioTranslateFile" Title="音频文件资源翻译表" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="文档" Type="DocumentTranslateFile" Title="文档文件资源翻译表" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="其它" Type="OtherTranslateFile" Title="其它文件资源翻译表" Addin="ResourceDev" Icon="images/other.ico">
								</ExplorerNode>  																
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				       	
				<!--SQL-->
				<ExplorerNode Text="SQL访问" Type="SqlType" Title="SQL访问管理" Addin="SqlDevAddin" Icon="images/sqlaccess.ico">
					<SubNodes>
						<ExplorerNode Text="表格模板" Type="TableTemplateNodeType" Title="SQL表格管理" Addin="SqlDevAddin" Icon="images/sqltable.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="记录体" Type="BindListNodeType" Title="记录体管理" Addin="SqlDevAddin" Icon="images/SqlRecordset.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>
				<!--Web-->
				<ExplorerNode Text="Web" Type="web" Title="Web发布项设置" Addin="kxWebDev" Icon="images/web.ico">
					<SubNodes>
						<ExplorerNode Text="Web服务器" Type="webServer" Title="Web服务器设置" Addin="kxWebDev" Icon="images/websvr.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="Web发布" Type="webPublish" Title="Web发布组设置" Addin="kxWebDev" Icon="images/webItem.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>					
      </ExplorerNodeTree>
    </ProjectTemplate>
  </ProjectTemplates>
</Kingview>
